<template>
  <table class="ob-spot-description__table">
    <tr>
      <td class="title">Стоимость по&nbsp;накладной:</td>
      <td class="desc">{{ (cargoWaybillPrice / 100) | currency }}&nbsp;₽</td>
    </tr>
    <tr>
      <td class="title">Дополнительные требования:</td>
      <td class="desc">{{ requirements }}</td>
    </tr>
    <tr>
      <td class="title">Комментарии:</td>
      <td class="desc">{{ comment }}</td>
    </tr>
    <tr>
      <td class="title">Приложенные файлы:</td>
      <div
        v-for="file in files"
        :key="file.fileUuid"
        @click="downloadFile(file)"
      >
        <div class="ob-spot-file__title">{{ file.fileName }}</div>
      </div>
    </tr>
    <tr>
      <td class="title">Контактное лицо:</td>
      <td v-html="contactPerson" class="desc"></td>
    </tr>
    <tr>
      <td class="title">Внутренний номер заказа клиента:</td>
      <td class="desc">{{ externalNumber }}</td>
    </tr>
  </table>
</template>

<script>
import api from '@/api'
import { createDownloadLink } from '@/helpers/files'

export default {
  name: 'spotInfoTable',
  props: {
    cargoWaybillPrice: {
      type: Number,
      default: null,
    },
    requirements: {
      type: String,
      default: '',
    },
    comment: {
      type: String,
      default: '',
    },
    files: {
      type: Array,
      default: function() {
        return []
      },
    },
    contactPerson: {
      type: String,
      default: '',
    },
    externalNumber: {
      type: String,
      default: '',
    },
  },
  methods: {
    createDownloadLink,
    async downloadFile(file) {
      const res = await api.files.getFileForDowload(file.fileUuid)
      const fileObj = {
        name: file.fileName,
        data: res.data,
      }
      this.createDownloadLink(fileObj)
    },
  },
}
</script>

<style lang="scss" scoped>
@import 'node_modules/common-components/src/static/css/variables';
$blue-750: #006596;

.ob-spot-description {
  &__table {
    td {
      padding: 0 12px 14px;
      vertical-align: top;

      &:first-of-type {
        min-width: 195px;
        color: $color-grey-label;
        font-size: 12px;
      }

      &:last-of-type {
        line-height: 18px;
      }
    }

    .ob-spot-file {
      &__title {
        cursor: pointer;
        float: left;
        display: inline-block;
        font-size: 14px;
        color: $blue-750;
        background-color: $blue-250;
        padding: 5px 12px;
        border-radius: 30px;
        margin: 5px 0;
      }
    }
  }
}
</style>
